#upperContent {
  padding-top: 2rem;
}

#lowerContent {
  padding-top: 1rem;
}

#mainImage {
  padding-left: 1rem;
  padding-right: 1rem;
}

#mainImg {
  border: solid 1px black;
  border-radius: 7px;
}

#top,
#middle,
#bottom {
  margin: 0;
}

#top .content {
  clear: both;
  position: relative;
  
  /* Leave room at the top for the menu */
  padding-top: 4.5rem;
  padding-bottom: 0;
  padding-left: 2rem;
  padding-right: 2rem;
}

#middle .content {
  padding: 1rem;
  padding-top: 0;
}

#bottom .content {
  position: static;
  bottom: 0;
  text-align: left;
  line-height: 1;
}

#bottom .content p {
  padding: 2rem;
}

.boxes {
  display: -webkit-box;
  display: -webkit-flex;
  display: -ms-flexbox;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: reverse;
  -webkit-flex-direction: row-reverse;
  -ms-flex-direction: row-reverse;
  flex-direction: row-reverse;
  -webkit-flex-wrap: wrap-reverse;
  -ms-flex-wrap: wrap-reverse;
  flex-wrap: wrap-reverse;
  margin-top: 1rem;
}

.box {
  -webkit-box-flex: 1;
  -webkit-flex: 1 1 320px;
  -ms-flex: 1 1 320px;
  flex: 1 1 320px;
  min-width: 320px;
}

.bigbox {
  -webkit-box-flex: 1;
  -webkit-flex: 2 1 640px;
  -ms-flex: 2 1 640px;
  flex: 2 1 640px;
  min-width: 320px;
}

.box img,
.bigbox img {
  max-width: 100%;
  border: solid 1px black;
  border-radius: 7px;
}

/* Smaller than tablet */
@media (max-width: 767px) {
#upperContent {
  padding-top: 1rem;
}

#lowerContent {
  padding-top: 0.5rem;
}

#mainImage {
  padding-left: 0.5rem;
  padding-right: 0.5rem;
}

#top .content {
  padding-left: 1rem;
  padding-right: 1rem;
}

#middle .content {
  padding: 0.5rem;
}

#bottom .content p {
  padding: 1rem;
}

.boxes {
  margin-top: 0.5rem;
}
}